
(function(root, factory) {

if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('./ApiClient'));
  } 
}(this, function(ApiClient) {
  'use strict';

  var exports = function () {
        var _this = this;
        _this['map'] = {};
  };

  exports.prototype['map'] = undefined;

  exports.prototype.put = function (key, value) {
        var _this = this;
        if (typeof key === 'string' && key !== '' && typeof value === 'string' && value !== '') {

            if (!Array.isArray(_this['map'][key])) {
                _this['map'][key] = [];
            }

            if (_this['map'][key].indexOf(value) === -1)
                _this['map'][key].push(value);
        }
  };

  exports.prototype.get = function (key) {
        var _this = this;
        return _this['map'][key];
  };

  exports.prototype.has = function (key) {
        var _this = this;
        return _this['map'].hasOwnProperty(key);
  };

  return exports;

}));
