(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.OrbipayPaymentsapiClient) {
      root.OrbipayPaymentsapiClient = {};
    }
    root.OrbipayPaymentsapiClient.AddressVo = factory(root.OrbipayPaymentsapiClient.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The AddressVo model module.
   * @module models/AddressVo
   */

  /**
   * <h3 style="color:red"> This class subject to change without prior notice, Please dont use this class directly. </h3>

   * Constructs a new <code>AddressVo</code>.
   * @alias module:models/AddressVo
   * @class
   */
  var exports = function() {
    var _this = this;








  };

  /**
   * Constructs a <code>AddressVo</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:models/AddressVo} obj Optional instance to populate.
   * @return {module:models/AddressVo} The populated <code>AddressVo</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('address_line1')) {
        obj['address_line1'] = ApiClient.convertToType(data['address_line1'], 'String');
      }
      if (data.hasOwnProperty('address_line2')) {
        obj['address_line2'] = ApiClient.convertToType(data['address_line2'], 'String');
      }
      if (data.hasOwnProperty('address_city')) {
        obj['address_city'] = ApiClient.convertToType(data['address_city'], 'String');
      }
      if (data.hasOwnProperty('address_state')) {
        obj['address_state'] = ApiClient.convertToType(data['address_state'], 'String');
      }
      if (data.hasOwnProperty('address_country')) {
        obj['address_country'] = ApiClient.convertToType(data['address_country'], 'String');
      }
      if (data.hasOwnProperty('address_zip1')) {
        obj['address_zip1'] = ApiClient.convertToType(data['address_zip1'], 'String');
      }
      if (data.hasOwnProperty('address_zip2')) {
        obj['address_zip2'] = ApiClient.convertToType(data['address_zip2'], 'String');
      }
    }
    return obj;
  };

  /**
   * Line one of the address.
   * @member {String} address_line1
   */
  exports.prototype['address_line1'] = undefined;
  /**
   * Line two of the address.
   * @member {String} address_line2
   */
  exports.prototype['address_line2'] = undefined;
  /**
   * City of the address.
   * @member {String} address_city
   */
  exports.prototype['address_city'] = undefined;
  /**
   * The state or province code as per ISO_3166-2.
   * @member {String} address_state
   */
  exports.prototype['address_state'] = undefined;
  /**
   * The 3 letter country code as per ISO 3166-1 (alpha-3).
   * @member {String} address_country
   */
  exports.prototype['address_country'] = undefined;
  /**
   * The first part of the postal code for the address as per the system followed in the appropriate country where it belongs. 
   * @member {String} address_zip1
   */
  exports.prototype['address_zip1'] = undefined;
  /**
   * The 4 digit add-on code used, in addition to the 5 digit postal code, by the US Postal Service.
   * @member {String} address_zip2
   */
  exports.prototype['address_zip2'] = undefined;



  return exports;
}));


