(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.OrbipayPaymentsapiClient) {
      root.OrbipayPaymentsapiClient = {};
    }
    root.OrbipayPaymentsapiClient.PaymentSetupFeeRequest = factory(root.OrbipayPaymentsapiClient.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The PaymentSetupFeeRequest model module.
   * @module models/PaymentSetupFeeRequest
   */

  /**
   * <h3 style="color:red"> This class subject to change without prior notice, Please dont use this class directly. </h3>

   * Constructs a new <code>PaymentSetupFeeRequest</code>.
   * @alias module:models/PaymentSetupFeeRequest
   * @class
   */
  var exports = function() {
    var _this = this;


  };

  /**
   * Constructs a <code>PaymentSetupFeeRequest</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:models/PaymentSetupFeeRequest} obj Optional instance to populate.
   * @return {module:models/PaymentSetupFeeRequest} The populated <code>PaymentSetupFeeRequest</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('fee_amount')) {
        obj['fee_amount'] = ApiClient.convertToType(data['fee_amount'], 'String');
      }
    }
    return obj;
  };

  /**
   * The fee amount upto 2 decimal places.
   * @member {String} fee_amount
   */
  exports.prototype['fee_amount'] = undefined;



  return exports;
}));


