(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.OrbipayPaymentsapiClient) {
      root.OrbipayPaymentsapiClient = {};
    }
    root.OrbipayPaymentsapiClient.SourcePaymentCustomerAccount = factory(root.OrbipayPaymentsapiClient.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The SourcePaymentCustomerAccount model module.
   * @module models/SourcePaymentCustomerAccount
   */

  /**
   * <h3 style="color:red"> This class subject to change without prior notice, Please dont use this class directly. </h3>

   * Constructs a new <code>SourcePaymentCustomerAccount</code>.
   * @alias module:models/SourcePaymentCustomerAccount
   * @class
   */
  var exports = function() {
    var _this = this;




  };

  /**
   * Constructs a <code>SourcePaymentCustomerAccount</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:models/SourcePaymentCustomerAccount} obj Optional instance to populate.
   * @return {module:models/SourcePaymentCustomerAccount} The populated <code>SourcePaymentCustomerAccount</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('id')) {
        obj['id'] = ApiClient.convertToType(data['id'], 'String');
      }
      if (data.hasOwnProperty('url')) {
        obj['url'] = ApiClient.convertToType(data['url'], 'String');
      }
      if (data.hasOwnProperty('account_number')) {
        obj['account_number'] = ApiClient.convertToType(data['account_number'], 'String');
      }
    }
    return obj;
  };

  /**
   * @member {String} id
   */
  exports.prototype['id'] = undefined;
  /**
   * This URL fetches the details of source payment.
   * @member {String} url
   */
  exports.prototype['url'] = undefined;
  /**
   * The number or reference that a customer uses to identify the customer's account.
   * @member {String} account_number
   */
  exports.prototype['account_number'] = undefined;



  return exports;
}));


