
(function(root, factory) {

if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } 
}(this, function(ApiClient) {
  'use strict';

    var exports = function(secret, idempotent_request_key, x_opay_headers, api_key, auth_scheme, trace_id) {
    var _this = this;
		_this.product = "orbipay_payments";
  		_this['secret'] = secret;
  		_this['idempotent_request_key'] = idempotent_request_key;
  		_this['X-OPAY-Headers'] = x_opay_headers;
  		_this['api_key'] = api_key;
  		_this['auth_scheme'] = auth_scheme;
  		_this['trace_id'] = trace_id;
  };

  exports.constructFromObject = function (data, obj) {
        if (data) {
            obj = obj || new exports();
            if (data.hasOwnProperty('client_key')) {
                obj['client_key'] = data['client_key'];
            }
            
            if (data.hasOwnProperty('product')) {
                obj['product'] = data['product'];
            }
            
            if (data.hasOwnProperty('trace_id')) {
                obj['trace_id'] = data['trace_id'];
            }
            
            if (data.hasOwnProperty('X-OPAY-Headers')) {
                obj['X-OPAY-Headers'] = data['X-OPAY-Headers'];
            }
            
            if (data.hasOwnProperty('requestor_type')) {
                obj['requestor_type'] = data['requestor_type'];
            }
            
            if (data.hasOwnProperty('idempotent_request_key')) {
                obj['idempotent_request_key'] = data['idempotent_request_key'];
            }
            
            if (data.hasOwnProperty('request_uuid')) {
                obj['request_uuid'] = data['request_uuid'];
            }
            
            if (data.hasOwnProperty('channel')) {
                obj['channel'] = data['channel'];
            }
            
            if (data.hasOwnProperty('response_codes')) {
                obj['response_codes'] = data['response_codes'];
            }
            
            if (data.hasOwnProperty('response_text')) {
                obj['response_text'] = data['response_text'];
            }
            
            if (data.hasOwnProperty('requestor')) {
                obj['requestor'] = data['requestor'];
            }
            
            if (data.hasOwnProperty('timestamp')) {
                obj['timestamp'] = data['timestamp'];
            }
            
            if (data.hasOwnProperty('secret')) {
                obj['secret'] = data['secret'];
            }
            
            if (data.hasOwnProperty('api_key')) {
                obj['api_key'] = data['api_key'];
            }
            
            if (data.hasOwnProperty('auth_scheme')) {
                obj['auth_scheme'] = data['auth_scheme'];
            }
            
        }
        return obj;
  };

  exports.prototype['client_key'] = undefined;
  exports.prototype['product'] = undefined;
  exports.prototype['trace_id'] = undefined;
  exports.prototype['X-OPAY-Headers'] = undefined;
  exports.prototype['requestor_type'] = undefined;
  exports.prototype['idempotent_request_key'] = undefined;
  exports.prototype['request_uuid'] = undefined;
  exports.prototype['channel'] = undefined;
  exports.prototype['response_codes'] = undefined;
  exports.prototype['response_text'] = undefined;
  exports.prototype['requestor'] = undefined;
  exports.prototype['timestamp'] = undefined;
  exports.prototype['secret'] = undefined;
  exports.prototype['api_key'] = undefined;
  exports.prototype['auth_scheme'] = undefined;

  return exports;

}));
